presage-dbus_0.9.1-2.1ubuntu4_all.deb


Advertisement

Description

presage-dbus - intelligent predictive text entry platform (D-Bus service)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename presage-dbus_0.9.1-2.1ubuntu4_all.deb
Package name presage-dbus
Package version 0.9.1
Package release 2.1ubuntu4
Package architecture all
Package type deb
Category universe/misc
Homepage http://presage.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.84 KB
Installed size 45.00 KB
Presage is an intelligent predictive text entry platform.
This package contains the presage D-Bus service.
This package also contains a simple demonstration program that uses
the D-Bus service.

Alternatives

Package Version Architecture Repository
presage-dbus_0.9.1-2.1ubuntu4_all.deb 0.9.1 all Ubuntu Universe
presage-dbus - - -

Requires

Name Value
python << 2.8
python >= 2.7
python-presage >= 0.9.1-2.1ubuntu4
python:any >= 2.6.6-7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package presage-dbus_0.9.1-2.1ubuntu4_all.deb
Source Package presage

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install presage-dbus deb package:
    # sudo apt-get install presage-dbus

Files

Path
/usr/bin/presage_dbus_python_demo
/usr/bin/presage_dbus_service
/usr/lib/python2.7/dist-packages/presage_dbus_service-0.9.1.egg-info
/usr/lib/python2.7/dist-packages/presage_dbus_service.py
/usr/share/dbus-1/services/org.gnome.presage.service
/usr/share/doc/presage-dbus/changelog.Debian.gz
/usr/share/doc/presage-dbus/copyright
/usr/share/man/man1/presage_dbus_python_demo.1.gz
/usr/share/man/man1/presage_dbus_service.1.gz

Changelog

2016-12-08 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
presage (0.9.1-2.1ubuntu4) zesty; urgency=medium
* debian/patches/add_presage_config_environment_variable.patch:
- Replace use_presage_prefix_path_in_default_profile.patch with a new patch
making sure all works in snap environments
2016-11-04 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
presage (0.9.1-2.1ubuntu3) zesty; urgency=medium
[ Michael Sheldon ]
* debian/patches/use_presage_prefix_path_in_default_profile.patch:
- Use the PRESAGE_PREFIX_PATH environment variable in the default profile
* debian/patches/add-missing-online-learning-configuration-value.patch:
- Add missing ONLINE_LEARNING configuration value to defaultProfile
2016-09-06 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-2.1ubuntu1) yakkety; urgency=medium
* Merge with Debian; remaining changes:
- Remove python-wxgtk3.0 from Build-Depends
- debian/patches/ubuntu_dont_require_wxpython.patch: Do not check for wx
to enable pyprompter
- debian/patches/dont-tokenize-on-apostrophes.patch: Allow words with
apostrophes to be predicted
2016-07-03 - Aron Xu <aron@debian.org>
presage (0.9.1-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix gcc6 narrowing conversion by Kentaro Hayashi (Closes: #811758)
2016-05-19 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-2ubuntu1) yakkety; urgency=medium
* Merge with Debian; remaining changes:
- Remove python-wxgtk3.0 from Build-Depends
- debian/patches/ubuntu_dont_require_wxpython.patch: Do not check for wx
to enable pyprompter
- debian/patches/dont-tokenize-on-apostrophes.patch: Allow words with
apostrophes to be predicted
2016-03-17 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.9.1-2) unstable; urgency=medium
* Depend on swig instead of swig2.0 (Closes: #816999)
* Fix lintian error in libpresage1v5.symbols file
symbols-file-contains-current-version-with-debian-revision.
* Fix lintian warning command-in-menu-file-and-desktop-file.
* Reorder link library flags for gprompter (Closes: #776720)
* Update to latest policy.
2016-02-07 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-1.1ubuntu2) xenial; urgency=medium
* No-change rebuild for ncurses6 transition.
2015-10-31 - Steve Langasek <steve.langasek@ubuntu.com>
presage (0.9.1-1.1ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/patches/lib_underlinkage.patch: Added missing lib to link,
fixing FTBFS.
- Remove python-wxgtk3.0 from Build-Depends
- debian/patches/ubuntu_dont_require_wxpython.patch: Do not check for wx
to enable pyprompter
- debian/patches/dont-tokenize-on-apostrophes.patch: Allow words with
apostrophes to be predicted
- Build-depend on swig (3.0) instead of swig2.0.
* Dropped changes, included in Debian:
- Build using GCC 5.
- Update symbols file.
2015-10-04 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
presage (0.9.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Rename package for GCC 5 transition (Closes: #799642)
2015-08-15 - Aron Xu <aron@debian.org>
presage (0.9.1-1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release (Closes: #792527)

See Also

Package Description
presage_0.9.1-2.1ubuntu4_i386.deb intelligent predictive text entry platform (tools and demos)
presentty_0.2.0-1_i386.deb Console-based presentation software
preview.app_0.8.5-10build4_i386.deb General purpose image viewer for GNUstep
previsat_3.5.1.7+dfsg1-2ubuntu1_i386.deb satellite tracking software for observing purposes
prewikka_4.1.5-2_all.deb Security Information and Events Management System [ Web Interface ]
prey_0.6.2-1.1_all.deb utility for tracking stolen computers
price.app_1.3.0-1build2_i386.deb Image filtering and manipulation using GNUstep
prime-phylo_1.0.11-4build2_i386.deb bayesian estimation of gene trees taking the species tree into account
primer3-examples_2.4.0-1ubuntu2_all.deb tool to design flanking oligo nucleotides for DNA amplification (examples)
primer3_2.4.0-1ubuntu2_i386.deb tool to design flanking oligo nucleotides for DNA amplification
primesieve-bin_6.3+ds-2ubuntu1_i386.deb fast prime number generator C/C++ library -- bin
primesieve-doc_6.3+ds-2ubuntu1_all.deb fast prime number generator C/C++ library -- doc
primesieve_6.3+ds-2ubuntu1_i386.deb fast prime number generator C/C++ library
primrose_6+dfsg1-4_i386.deb compelling tile-placement puzzle game
primus-libs-ia32_0~20150328-6_i386.deb Shared libraries for primus (32-bit)
Advertisement
Advertisement